package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Sefrat;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SefratMapper {

    int insert(Sefrat record);

    int insertSelective(Sefrat record);

    int updateByPrimaryKeySelective(Sefrat record);

    int updateByPrimaryKey(Sefrat record);

    int deleteByPrimaryKey(Sefrat record);

    int deleteByIds(Collection<Object> collection);

    Sefrat selectByPrimaryKey(Sefrat record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Sefrat> dyncRead(Map<String,Object> dyncMap);

    List<Sefrat> queryList(Sefrat record);

    List<Map<String,Object>> selectInfoByPtyinrAndSefhepcur(@Param("extkey") String extkey,@Param("SEFHEPCUR") String SEFHEPCUR);

    List<Map<String,Object>> selectInfoByPratypAndSefhepcur(String SEFHEPCUR);

    List<Map<String,Object>> selectInfoByNotPratypAndSefhepcur();

    List<Map<String,Object>> selecCurAndAmtByPtyinr(String ptyinr);

    List<Sefrat> querySefratlst(@Param("ptyinr") String ptyinr);

    Sefrat getCurrat(@Param("sefhepcur") String sefhepcur);

    Sefrat selectSefratByCurEcifno(@Param("sefhepcur") String sefhepcur, @Param("ecifno") String ecifno);

    Sefrat getGlobalrat();

    List<Sefrat> querySefratlstByPratyp();
}